com.unitech.lib.uhf.params

## Class RFIDConfig

- java.lang.Object
- - com.unitech.lib.uhf.params.RFIDConfig

-     public class RFIDConfig
      extends java.lang.Object

  The RFIDConfig class stores the config of the RFID module.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AlgorithmType` | `algorithm` The Q algorithm setting
    `BLFType` | `blfType` The BLF setting, only for RP902
    `boolean` | `continuousMode` The continuous mode setting
    `Encoding` | `encoding` The Encoding setting, only for RP902
    `boolean` | `fastID` The fast id setting(read tid), only for RG768 and HT730
    `boolean` | `fastMode` The fast mode setting, only for RP902
    `int` | `idleTime` The idle time setting
    `int` | `inventoryTime` The inventory time setting
    `int` | `maxQ` The maximum Q value
    `int` | `minQ` The minimum Q value
    `int` | `moduleProfile` The module's profile setting, only for HT730
    `int` | `power` The antenna power setting
    `Session` | `session` The Session setting
    `int` | `startQ` The start Q value
    `Target` | `target` The Target setting
    `TARIType` | `tariType` The TARI setting, only for RP902
    `boolean` | `toggleTarget` The toggle target setting

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFIDConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### continuousMode

          public boolean continuousMode

      The continuous mode setting

    - #### target

          public Target target

      The Target setting

    - #### session

          public Session session

      The Session setting

    - #### encoding

          public Encoding encoding

      The Encoding setting, only for RP902

    - #### tariType

          public TARIType tariType

      The TARI setting, only for RP902

    - #### blfType

          public BLFType blfType

      The BLF setting, only for RP902

    - #### algorithm

          public AlgorithmType algorithm

      The Q algorithm setting

    - #### fastMode

          public boolean fastMode

      The fast mode setting, only for RP902

    - #### fastID

          public boolean fastID

      The fast id setting(read tid), only for RG768 and HT730

    - #### toggleTarget

          public boolean toggleTarget

      The toggle target setting

    - #### moduleProfile

          public int moduleProfile

      The module's profile setting, only for HT730

    - #### power

          public int power

      The antenna power setting

    - #### inventoryTime

          public int inventoryTime

      The inventory time setting

    - #### idleTime

          public int idleTime

      The idle time setting

    - #### startQ

          public int startQ

      The start Q value

    - #### maxQ

          public int maxQ

      The maximum Q value

    - #### minQ

          public int minQ

      The minimum Q value

  - ### Constructor Detail

    - #### RFIDConfig

          public RFIDConfig()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`